This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 198371 - Package gnome-pilot-conduits lacks IPv6 support
Package gnome-pilot-conduits lacks IPv6 support
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-pilot-conduits (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Matt Davey
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:18 EDT by Peter Vrabec
Modified: 2009-01-09 01:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:58:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:18:47 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/gnome-pilot-conduits-2.0.13/mal-conduit/mal/common/AGBufferedNet.c:124:      bsoc->agSocket.fd = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);
/gnome-pilot-conduits-2.0.13/mal-conduit/mal/common/AGNet.c:105:  ret->fd = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);
/gnome-pilot-conduits-2.0.13/mal-conduit/mal/common/AGNet.c:125:        soc->saddr.sin_family      = AF_INET;
Comment 1 Matthew Barnes 2007-10-02 11:03:48 EDT
Matt, does gnome-pilot-conduits-2.0.15 support IPv6?
Comment 2 Matt Davey 2007-10-02 11:33:21 EDT
No, it doesn't.  This code still exists in gpc 2.0.15.

I'd guess this code could be modified without requiring pilot-link changes, as
it refers to connections from the desktop to the MAL (avantgo) server, not to
the palmos device.
Comment 3 Matthew Barnes 2008-03-16 18:11:34 EDT
Reassigning this to Matt Davey.  I'm not going to be doing anything with this in
the foreseeable future.
Comment 4 Bug Zapper 2008-11-26 02:00:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:58:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.